package com.neusoft.smart.pos.trade.persistent.mapper;

import com.neusoft.smart.pos.trade.persistent.domain.GrantOrderTransaction;
import com.neusoft.smart.pos.trade.persistent.domain.GrantOrderTransactionExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GrantOrderTransactionMapper {
    int countByExample(GrantOrderTransactionExample example);

    int deleteByExample(GrantOrderTransactionExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(GrantOrderTransaction record);

    int insertSelective(GrantOrderTransaction record);

    List<GrantOrderTransaction> selectByExample(GrantOrderTransactionExample example);

    GrantOrderTransaction selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") GrantOrderTransaction record, @Param("example") GrantOrderTransactionExample example);

    int updateByExample(@Param("record") GrantOrderTransaction record, @Param("example") GrantOrderTransactionExample example);

    int updateByPrimaryKeySelective(GrantOrderTransaction record);

    int updateByPrimaryKey(GrantOrderTransaction record);

    void batchInsert(@Param("items") List<GrantOrderTransaction> items);
}